### local::stream_protocol

Encapsulates the flags needed for stream-oriented UNIX sockets.

    class stream_protocol

##### Types

Name | Description
--- | ---
acceptor | The UNIX domain acceptor type.
endpoint | The type of a UNIX domain endpoint.
iostream | The UNIX domain iostream type.
socket | The UNIX domain socket type.

##### Member Functions

Name | Description
--- | ---
family | Obtain an identifier for the protocol family.
protocol | Obtain an identifier for the protocol.
type | Obtain an identifier for the type of the protocol.

The `local::stream_protocol` class contains flags necessary for stream-oriented UNIX domain sockets.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Safe.

##### Requirements

Header: `asio/local/stream_protocol.hpp`

Convenience header: `asio.hpp`